2019-05-26 22:48 BST

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0002284NetSurf[All Projects] Generalpublic2015-03-10 23:38
ReporterDave Higton 
Assigned ToJohn-Mark Bell 
SeveritymajorReproducibilityalways 
StatusclosedResolutionfixed 
PlatformIyonix, 512 MiBOSRISC OSOS Version5.20 (10-Jun-13)
Product Version3.2 
Target Version3.3Fixed in Version3.3 
Summary0002284: Clicking buttons produces imcomplete response
DescriptionThe attached HTML file validates correctly on the W3C validator. When a button is clicked in another browser, the response includes the button's name, e.g.:

override?button=CH

Clicking the same button when the page is viewed in Netsurf omits the button information, e.g.:

override?

Clearly this prevents Netsurf from being used on (at least some) pages that have buttons in a form.
Steps To ReproduceClick a button.
TagsNo tags attached.
Fixed in CI build #
Reported in CI build #2641
URL of problem page
Attached Files
  • ? file icon iyonix (999 bytes) 2015-03-09 20:21 -
    <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
    <html>
    <head>
    <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
    <meta http-equiv="refresh" content="10;url=/">
    <style type="text/css">
    p{color:black;font-family: Arial, helvetica, sans-serif;
    font-size:12pt;background-color:white;}
    body {background-color:white;}</style>
    <title>Dave Higton's heating controller</title>
    </head>
    
    <body>
    
    <form action="override">
    <table border="0" cellpadding="10" cellspacing="1">
    <tr>
     <td><button name="override" type="submit" value="CH">CH</button></td>
     <td style='vertical-align: center; text-align: center;'>Off</td>
    </tr>
    <tr>
     <td><button name="override" type="submit" value="HW">HW</button></td>
     <td style='vertical-align: center; text-align: center;'>Off</td>
    </tr>
    
    </table>
    </form>
    <p align = "left"><a href = "ViewSpecials.htm">View specials</a></p>
    <p align = "left"><a href = "EditSpecials.htm">Edit specials</a></p>
    </body>
    </html>
    
    ? file icon iyonix (999 bytes) 2015-03-09 20:21 +

-Relationships
+Relationships

-Notes
Vincent Sanders

~0000732

Vincent Sanders (administrator)

Confirmed fixed in 3.3 release
+Notes

-Issue History
Date Modified Username Field Change
2015-03-09 20:21 Dave Higton New Issue
2015-03-09 20:21 Dave Higton File Added: iyonix
2015-03-10 01:46 John-Mark Bell Assigned To => John-Mark Bell
2015-03-10 01:46 John-Mark Bell Status new => resolved
2015-03-10 01:46 John-Mark Bell Resolution open => fixed
2015-03-10 01:46 John-Mark Bell Product Version => 3.2
2015-03-10 01:46 John-Mark Bell Description Updated View Revisions
2015-03-10 09:10 Vincent Sanders Fixed in Version => 3.3
2015-03-10 09:10 Vincent Sanders Target Version => 3.3
2015-03-10 23:38 Vincent Sanders Note Added: 0000732
2015-03-10 23:38 Vincent Sanders Status resolved => closed
+Issue History